Bug 248171 - Alsamixer does not store volume settings
Summary: Alsamixer does not store volume settings
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsamixergui   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 17:10 UTC by Overflow
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 19:39:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Overflow 2007-07-13 17:10:52 UTC
Description of problem: Alsamixer doesnt store the volume settings, even if the
settings are set and save with alsactl store ( from the alsa-utils package)


Version-Release number of selected component (if applicable): 2.18.0


How reproducible: 
Seems to ne be reproducible by everyone, but there are some people encountering
this " bug " if it is.

Steps to Reproduce:
1.Open alsamixergui
2.Set the volume setting you want for PCM for example
3.Reboot
4.Re-open alsamixergui, The settings were not saved
  
Actual results:
The settings must be saved and applied at every boot 

Expected results:
The settings aren't saved and we need to open alsamixergui at everyboot to set
the volume

Additional info:

Example : http://forums.fedora-fr.org/viewtopic.php?id=22118

Comment 1 Jonathan Steffan 2007-07-13 17:12:40 UTC
I also have this issue on my compaq presario v2000.

00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio
Controller (rev 02)

Comment 2 Overflow 2007-07-13 17:15:35 UTC
I've forgotten but my audio controller is also an AC'97 one

00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)


Comment 3 Jean-François Martin 2007-07-13 17:58:15 UTC
This bug occur also on my Targa Traveller 826T

00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio
Controller (rev 01)

Comment 4 Overflow 2007-07-14 11:58:34 UTC
I found an issue about the fact that " they are not saved "
NO, in fact they are saved when entering in runlevel 0 or 6, but there is
apparently with some people, NO "restore" ( salsa restore or alsactl restore )
at boot ( rc.sysinit )

Workaround :
This can be solved by writing in a console under root " salsa restore " or "
alsactl restore " under normal user 

Comment 5 Overflow 2007-07-14 12:23:03 UTC
Little error :

it's salsa -l and not salsa restore

anyway, you can put " /sbin/alsactrl restore " or " /sbin/salsa -l " in
gnome-session-properties ( I don't know for KDE )


Comment 6 Tom "spot" Callaway 2007-09-17 19:39:18 UTC
Neither alsamixer nor alsamixergui (two separate applications) seem to support
saving mixer state to the /etc/asound.conf file. As this would be a significant
amount of new code (and alsamixergui is no longer maintained upstream), I have
no intent to add it to alsamixergui. If you'd like to make your case to the
alsa-utils maintainer, feel free to open a bug against that component.

Using alsactl or salsa is the correct solution here.


Note You need to log in before you can comment on or make changes to this bug.